From 8ebcde30a04e7ef034140254664a3c391d3ae27a Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 16 Nov 2024 08:27:56 +0000
Subject: [PATCH] debugedit: upgrade 5.0 -> 5.1

---
 .../{debugedit_5.0.bb => debugedit_5.1.bb}          |  6 ++++--
 .../0003-Makefile.am-do-not-update-manual.patch     | 13 +++++--------
 2 files changed, 9 insertions(+), 10 deletions(-)
 rename meta/recipes-devtools/debugedit/{debugedit_5.0.bb => debugedit_5.1.bb} (85%)

diff --git a/meta/recipes-devtools/debugedit/debugedit_5.0.bb b/meta/recipes-devtools/debugedit/debugedit_5.1.bb
similarity index 85%
rename from meta/recipes-devtools/debugedit/debugedit_5.0.bb
rename to meta/recipes-devtools/debugedit/debugedit_5.1.bb
index 63ad7babd9..43098a1667 100644
--- a/meta/recipes-devtools/debugedit/debugedit_5.0.bb
+++ b/meta/recipes-devtools/debugedit/debugedit_5.1.bb
@@ -9,14 +9,16 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=59530bdf33659b29e73d4adb9f9f6552 \
                     file://COPYING.LIB;md5=2d5025d4aa3495befef8f17206a5b0a1 \
                     file://COPYING3;md5=d32239bcb673463ab874e80d47fae504"
 
-SRC_URI = "https://sourceware.org/ftp/debugedit/${PV}/debugedit-${PV}.tar.xz"
+SRC_URI = "https://sourceware.org/ftp/debugedit/${PV}/debugedit-${PV}.tar.xz \
+           file://0003-Makefile.am-do-not-update-manual.patch \
+           "
 
 SRC_URI:append:libc-musl = "\
            file://0002-sepdebugcrcfix.c-do-not-use-64bit-variants.patch \
            file://0003-Makefile.am-do-not-update-manual.patch \
            "
 
-SRC_URI[sha256sum] = "e9ecd7d350bebae1f178ce6776ca19a648b6fe8fa22f5b3044b38d7899aa553e"
+SRC_URI[sha256sum] = "ee9b688b2ed8fa62551c54cb5dc31aaa05853e7dedbd9e1237c77894ea5e3626"
 
 DEPENDS = "elfutils"
 DEPENDS:append:libc-musl = " musl-legacy-error"
diff --git a/meta/recipes-devtools/debugedit/files/0003-Makefile.am-do-not-update-manual.patch b/meta/recipes-devtools/debugedit/files/0003-Makefile.am-do-not-update-manual.patch
index de467f5365..d0414f739a 100644
--- a/meta/recipes-devtools/debugedit/files/0003-Makefile.am-do-not-update-manual.patch
+++ b/meta/recipes-devtools/debugedit/files/0003-Makefile.am-do-not-update-manual.patch
@@ -1,7 +1,7 @@
-From 4f0d7d2f4900ce8555e09854dc681278b7a3d9a9 Mon Sep 17 00:00:00 2001
+From b2715c3f4d28fab1c238086d9b5435e269b06301 Mon Sep 17 00:00:00 2001
 From: Chen Qi <Qi.Chen@windriver.com>
 Date: Thu, 23 Mar 2023 13:09:23 +0800
-Subject: [PATCH 3/3] Makefile.am: do not update manual
+Subject: [PATCH] Makefile.am: do not update manual
 
 The tarball ships these manuals, no need to re-generate them.
 We have local patches for debugedit.c and sepdebugcrcfix.c,
@@ -20,7 +20,7 @@ Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
  1 file changed, 30 deletions(-)
 
 diff --git a/Makefile.am b/Makefile.am
-index 98b2f20..f91deea 100644
+index c590edf..692e016 100644
 --- a/Makefile.am
 +++ b/Makefile.am
 @@ -52,36 +52,6 @@ sepdebugcrcfix_LDADD = @LIBELF_LIBS@
@@ -58,8 +58,5 @@ index 98b2f20..f91deea 100644
 -	esac
 -
  noinst_HEADERS= tools/ansidecl.h \
- 		tools/hashtab.h \
- 		tools/md5.h \
--- 
-2.17.1
-
+ 		tools/hashtab.h
+ 
-- 
2.44.1

